Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class Win32MeasurementPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.MeasurementPlugin
              net.hyperic.hq.product.SigarMeasurementPlugin
                  net.hyperic.hq.product.Win32MeasurementPlugin

public class Win32MeasurementPlugin
extends SigarMeasurementPlugin

Field Summary
`static java.lang.String` | `DOMAIN_AVAIL`

Fields inherited from class net.hyperic.hq.product.SigarMeasurementPlugin
`manager, PTQL_CONFIG, PTQL_DOMAIN, VALUE_NOTIMPL`

Fields inherited from class net.hyperic.hq.product.MeasurementPlugin
`PROP_TEMPLATE_CONFIG`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32MeasurementPlugin()`

Method Summary
`protected double` | `adjustValue(Metric metric, double value)`
`protected java.lang.String` | `getAttributeName(Metric metric)`
`protected java.lang.String` | `getDomainName(Metric metric)`
`static int` | `getServiceStatus(java.lang.String name)`
`MetricValue` | `getValue(Metric metric)` This method is called when the plugin is asked for a metric value.
`static boolean` | `isServiceRunning(java.lang.String name)`

Methods inherited from class net.hyperic.hq.product.SigarMeasurementPlugin
`getSigar, init, shutdown, translate`

Methods inherited from class net.hyperic.hq.product.MeasurementPlugin
`getConfigSchema, getHelp, getManager, getMeasurementProperties, getMeasurements, getPlatformHelpProperties, getPluginXMLHelp`

Methods inherited from class net.hyperic.hq.product.GenericPlugin
`configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN_AVAIL

    public static final java.lang.String DOMAIN_AVAIL

See Also:
  Constant Field Values

Constructor Detail

### Win32MeasurementPlugin

    public Win32MeasurementPlugin()

Method Detail

### getValue

    public MetricValue getValue(Metric metric)
                         throws PluginException,
                                MetricNotFoundException,
                                MetricUnreachableException

  Description copied from class: `MeasurementPlugin`
  This method is called when the plugin is asked for a metric value. The Metric is a translated value as returned by the getMeasurements() routine, and then run through the translate() method.

  Overrides:
    `getValue` in class `SigarMeasurementPlugin`
  Throws:
    `PluginException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### getAttributeName

    protected java.lang.String getAttributeName(Metric metric)

### getDomainName

    protected java.lang.String getDomainName(Metric metric)

### adjustValue

    protected double adjustValue(Metric metric,
                                 double value)

### getServiceStatus

    public static int getServiceStatus(java.lang.String name)

### isServiceRunning

    public static boolean isServiceRunning(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.